ru.bitel.bgbilling.plugins.cashcheck.server.bean

## Class Check

- java.lang.Object
- - ru.bitel.bgbilling.plugins.cashcheck.common.Check
  - - ru.bitel.bgbilling.plugins.cashcheck.server.bean.Check

-     public class Check
      extends Check

  Используется для формирования последовательностей линий чека. Этот же объект передаётся в скрипты формирования вида чека. После этого отсюда получается список строк для непосредственной посылки в сервер печати. Основной код в common. Здесь пока для совместимости.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.plugins.cashcheck.common.Check

      `Check.CheckLine, Check.Type`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.plugins.cashcheck.common.Check

      `cashierINN, cashierName, checkType, customerEmail, customTags, documentDate, documentId, lines, onlyElCheck, paymentsum, paymentType, payMethod, payObject, tax`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Check()`
    `Check(Check.Type checkType)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Check` | `fromCheckData(java.lang.String checkData)`

    - ### Methods inherited from class ru.bitel.bgbilling.plugins.cashcheck.common.Check

      `addPayment, addPayment, addPayment, addString, getCashierName, getCheckData, getCheckType, getCustomerEmail, getDocumentDate, getDocumentId, getLines, getPaymentsum, getPaymentType, getPayMethod, getPayObject, getPlines, getTax, makeClientsumma, setCashierINN, setCashierName, setCheckType, setCustomerEmail, setDocumentDate, setDocumentId, setDocumentId, setLastPaymentTag, setLastPaymentTag, setLastPaymentTag, setOnlyElCheck, setPaymentType, setPayMethod, setPayObject, setTag, setTag, setTag, setTag, setTax, STLV, TLV, TLV, TLV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Check

          public Check()

    - #### Check

          public Check(Check.Type checkType)

  - ### Method Detail

    - #### fromCheckData

          public static Check fromCheckData(java.lang.String checkData)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`